#ifndef DEBUG_H
#define DEBUG_H

#include <glib.h>

/* Optional debugging macros */
#ifdef DEBUG
	#include <assert.h>
	#define debug_enter() do { g_print ("debug enter: %s\n", __func__); } while (0)
	#define debug_printf(args...) do { g_print ("debug: " args); } while (0)
	#define debug_assert(args...) do { g_assert (args); } while (0)
#else
	#define debug_enter()         do { /* nothing */ } while (0)
	#define debug_printf(args...) do { /* nothing */ } while (0)
	#define debug_assert(args...) do { /* nothing */ } while (0)
#endif

#endif /* DEBUG_H */

/* vim: set ts=4 sts=4 sw=4 noet tw=112: */
