#ifndef TILDA_CONFIG_H
#define TILDA_CONFIG_H

#include "tilda-controller.h"
#include "tilda-window.h"
#include "tilda-terminal.h"
#include <glib.h>

/* Global configuration-holding structures */
extern GKeyFile *config_defaults;
extern GKeyFile *config_userprefs;

/* Set-up and tear-down functions */
gboolean tilda_config_init (const gchar *filename);
gboolean tilda_config_free ();

/* API */
gboolean tilda_controller_set_property_from_config (TildaController *self, const gchar *property);
gboolean tilda_window_set_property_from_config (TildaWindow *self, const gchar *property);
gboolean tilda_terminal_set_property_from_config (TildaTerminal *self, const gchar *property);

#endif /* TILDA_CONFIG_H */

/* vim: set ts=4 sts=4 sw=4 noet tw=112: */
